#ifndef __SUBCPU_H__
#define __SUBCPU_H__

/*
	These are the address ranges as seen by the secondary CPU.
*/

#if defined(CPU0) || !defined(CPU1)
#error Address range conflict. Choose either main or sub CPU.
#endif

#define SUB_ROM_BASE     ((const uint16_t*)0x000000)
#define SUB_RAM_BASE     ((volatile uint16_t*)0x060000)
#define ROAD_RAM_BASE	 ((volatile uint16_t*)0x080000)
#define ROAD_CONTROL     ((volatile uint8_t*)0x090001)

#endif // __SUBCPU_H__
