@echo off
if defined OUTRUN_SDK_PATH (
  rem Don't run twice (to prevent the path variable getting really long).
  echo Environment already set.
  exit /b 0
)

rem Allows external override.
if not defined OUTRUN_GCC_VERSION (
  set OUTRUN_GCC_VERSION=8.2.0
)

echo Setting up Outrun SDK environment (GCC %OUTRUN_GCC_VERSION%)
set path=%path%;%~dp0gcc-%OUTRUN_GCC_VERSION%\bin;%~dp0bin
set OUTRUN_SDK_PATH=%~dp0sdk
set OUTRUN_GCC_PATH=%~dp0gcc-%OUTRUN_GCC_VERSION%

echo.
